name: Ping Pong
props:
  type: object
  properties:
    mediaAlign:
      type: string
      title: Media Alignment
      description: 'Which side to put media on.'
    layout:
      type: string
      title: Layout
      description: 'The layout widths'
      enum: ['50-50', '33-66', '66-33', '25-75', '75-25']
    bgColor:
      type: string
      title: Color
      description: 'The background color.'
slots:
  headline:
    title: Headline
    description: This is the headline for the text block.
  body:
    title: Body
    description: This is the body for the text block.
  cta:
    title: CTA
    description: The CTA link.
  media:
    title: Media
    description: The media item(s).

libraryOverrides:
  css:
    theme:
      ping-pong.css: { }
  js:
    ping-pong.js: { }
  dependencies:
    - core/drupal
    - core/once
    - dchadwick/swiper
